MINOVAES - PRODUCT - Support #2034

Lock WF ESS
02/28/2023 11:45 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 02/28/2023
Priority: Urgent Due date: 03/02/2023
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Mang Wanto,

Mohon dibantu buatkan fungsi untuk lock ESS saat ada approver yang sedang melakukan approval di task group approval.
Sebagai contoh:

ReqlD 17 terbuat dengan group approval ID 10000149 dan 10000150. Jika ID 10000149 sedang membuka form dengan ReqID 17,
maka ketika ID 10000150 ingin membuka form dengan ReqlD 17 pop-up notification muncul.

Tabel: PCMWFRUNINBOXLOCK (Fungsi membaca tabel ini untuk melihat LockStatus dari ReqID yang ingin dibuka)

Contoh data yang dapat digunakan adalah ReqID 17 dengan RequesterlD 10000148 dan approver EmployeelD 10000149
atau 10000150

Terima kasih.

Port: http://remote.minovais.com:31133/
Login approval: kezia

History

#1 - 02/28/2023 11:46 AM - Fiona Avangeline Jonathan
- Description updated

- Status changed from New to Assigned

#2 - 02/28/2023 11:46 AM - Fiona Avangeline Jonathan

- Description updated

#3 - 02/28/2023 02:20 PM - Kezia Pawitra Yulianti
- Due date set to 03/02/2023

dear All,

saya tambahkan sedikit ya informasinya, sebenernya ini tidak hanya berlaku saat di task group approval namun untuk di semua task jika memang di
saat yg bersamaan lebih dari 1 orang menerima task yg sama di inbox masing2. Maka kondisi lock ini harus d baca.

Contoh misanya saat ada kondisi sharing approval, d sini bisa saja ada lebih dari 1 org yg menerima req id yg sama di masing2 inboxnya.

Dmemikian, terima kasih

#4 - 03/01/2023 04:19 PM - Fiona Avangeline Jonathan

Note: Dokumen yang terkunci dan user keluar dengan cara tidak normal (langsung close window atau laptop mati tiba2), maka diberi waktu 2 jam
sebelum dokumen tersebut di release lagi.

#5 - 03/01/2023 06:23 PM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan
FITUR LOCK DATA IN USE

1. Banyak update di Ul

app/controller/workflow/inbox/wfinbox.js

app/view/workflow/inbox/wfinbox.js
scripts/MinovaUltil.js = Penambahan fungsi (MinovaUtil.LockData)
http://remote.minovais.com:31133/

scripts/MinovaUltil.js = Perubahan fungsi (MinovaUtil.CheckUser)

2. DATABASE

PCMWFCUSTPARAM =

CheckLocked NULL NULL MinovalS.MinovaES.Implementation.WorkFlow WorkFlowQuery InboxLockCheck NULL EXEC
dbo.spinboxLockCheck @reg_id, @emp_id, @release, @seq sqlstring NULL

Tabel baru PCMWFRUNINBOXLOCK

3.SQL SP
splnboxLockCheck
fnGetlnboxLockStatus
fnGetinboxLockIsAuth
splnboxLockiInsert

4.SQL JOB
PCMWFRUNINBOXLOCK DIJALANKAN SETIAP HARI SETIAP 30 MENIT

#6 - 03/02/2023 10:44 AM - Fiona Avangeline Jonathan

- Status changed from Assigned to Closed

Done, terima kasih.
